MantisBT
Mantis Bug Tracker Workflow

View Issue Details Jump to Notes ] Related Changesets ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0024516Open CASCADE[OCCT] OCCT:Codingpublic2014-01-08 11:482014-05-05 13:37
Reporterkgv 
Assigned Tobugmaster 
PrioritynormalSeverityminor 
StatusclosedResolutionfixed 
PlatformOSOS Version
Product Version[OCCT] 6.7.0 
Target Version[OCCT] 6.7.1Fixed in Version[OCCT] 6.7.1 
Summary0024516: Copyright information has been corrupted within some headers
DescriptionCreation / copyright information has been modified for some source files without reason. It might be script issue used for automated processing.

OpenGl_Context.hxx
-// Created on: 2012-01-26
+// Created on: 2014-01-26
 // Created by: Kirill GAVRILOV
-// Copyright (c) 2012 OPEN CASCADE SAS
+// Copyright (c) 2014 OPEN CASCADE SAS


StepToTopoDS_TranslateCompositeCurve.lxx
// Created on: 2014-01-16
// Created by: ANNA MASALSKAYA
// Copyright (c) -1999 Matra Datavision
// Copyright (c) 2014-2014 OPEN CASCADE SAS


One of the way to search for broken files - use mask "2014-" since there should not be files created in 2014 in master at this moment.
TagsNo tags attached.
Test case number
Attached Files

- Relationships
related to 0024428closedapn Implementation of LGPL license 

-  Notes
(0027396)
bugmaster (administrator)
2014-01-08 16:22

Fix has been integrated into CR24516
Please review.
(0027397)
kgv (developer)
2014-01-08 16:32

Patch looks OK, please integrate.

- Related Changesets
occt: master 6aca4d39
Timestamp: 2014-01-08 10:47:11
Author: bugmaster
Details ] Diff ]
0024516: Copyright information has been corrupted within some headers

Update incorrectly modified header files
mod - src/BOPDS/BOPDS_DataMapOfPaveBlockCommonBlock.hxx Diff ] File ]
mod - src/BRepAlgoAPI/BRepAlgoAPI.cxx Diff ] File ]
mod - src/BRepAlgoAPI/BRepAlgoAPI_Check.cdl Diff ] File ]
mod - src/BRepAlgoAPI/BRepAlgoAPI_Check.cxx Diff ] File ]
mod - src/Cocoa/Cocoa_Window.hxx Diff ] File ]
mod - src/Cocoa/Cocoa_Window.mm Diff ] File ]
mod - src/Image/Image_AlienPixMap.hxx Diff ] File ]
mod - src/Image/Image_Color.hxx Diff ] File ]
mod - src/Image/Image_Diff.cxx Diff ] File ]
mod - src/Image/Image_Diff.hxx Diff ] File ]
mod - src/Image/Image_PixMap.cxx Diff ] File ]
mod - src/Image/Image_PixMap.hxx Diff ] File ]
mod - src/Image/Image_PixMapData.hxx Diff ] File ]
mod - src/Intf/Intf_Polygon2d.cdl Diff ] File ]
mod - src/Intf/Intf_Polygon2d.cxx Diff ] File ]
mod - src/Intf/Intf_Polygon2d.lxx Diff ] File ]
mod - src/IntPatch/IntPatch_Polygo.lxx Diff ] File ]
mod - src/IntPolyh/IntPolyh_Array.hxx Diff ] File ]
mod - src/IntPolyh/IntPolyh_ArrayOfCouples.hxx Diff ] File ]
mod - src/IntPolyh/IntPolyh_ArrayOfEdges.hxx Diff ] File ]
mod - src/IntPolyh/IntPolyh_ArrayOfPoints.hxx Diff ] File ]
mod - src/IntPolyh/IntPolyh_ArrayOfSectionLines.hxx Diff ] File ]
mod - src/IntPolyh/IntPolyh_ArrayOfStartPoints.hxx Diff ] File ]
mod - src/IntPolyh/IntPolyh_ArrayOfTangentZones.hxx Diff ] File ]
mod - src/IntPolyh/IntPolyh_ArrayOfTriangles.hxx Diff ] File ]
mod - src/IntTools/IntTools_EdgeEdge_1.cxx Diff ] File ]
mod - src/math/math_BissecNewton.cdl Diff ] File ]
mod - src/math/math_FunctionRoot.cdl Diff ] File ]
mod - src/math/math_NewtonFunctionRoot.cdl Diff ] File ]
mod - src/NCollection/NCollection_DefineAlloc.hxx Diff ] File ]
mod - src/OpenGl/Handle_OpenGl_Context.hxx Diff ] File ]
mod - src/OpenGl/OpenGl_ArbIns.hxx Diff ] File ]
mod - src/OpenGl/OpenGl_ArbTBO.hxx Diff ] File ]
mod - src/OpenGl/OpenGl_ArbVBO.hxx Diff ] File ]
mod - src/OpenGl/OpenGl_Context.cxx Diff ] File ]
mod - src/OpenGl/OpenGl_Context.hxx Diff ] File ]
mod - src/OpenGl/OpenGl_Context_1.mm Diff ] File ]
mod - src/OpenGl/OpenGl_ExtFBO.hxx Diff ] File ]
mod - src/OpenGl/OpenGl_ExtGS.hxx Diff ] File ]
mod - src/OpenGl/OpenGl_GlCore11.hxx Diff ] File ]
mod - src/OpenGl/OpenGl_GlCore12.hxx Diff ] File ]
mod - src/OpenGl/OpenGl_GlCore13.hxx Diff ] File ]
mod - src/OpenGl/OpenGl_GlCore14.hxx Diff ] File ]
mod - src/OpenGl/OpenGl_GlCore15.hxx Diff ] File ]
mod - src/OpenGl/OpenGl_GlCore20.hxx Diff ] File ]
mod - src/OpenGl/OpenGl_LayerList.cxx Diff ] File ]
mod - src/OpenGl/OpenGl_LayerList.hxx Diff ] File ]
mod - src/OpenGl/OpenGl_Resource.cxx Diff ] File ]
mod - src/OpenGl/OpenGl_Window_1.mm Diff ] File ]
mod - src/Standard/Standard_DefineAlloc.hxx Diff ] File ]
mod - src/StepToTopoDS/StepToTopoDS_TranslateCompositeCurve.lxx Diff ] File ]
mod - src/TopTools/TopTools_MutexForShapeProvider.cxx Diff ] File ]
mod - src/TopTools/TopTools_MutexForShapeProvider.hxx Diff ] File ]
mod - src/ViewerTest/ViewerTest_OpenGlCommands.cxx Diff ] File ]

- Issue History
Date Modified Username Field Change
2014-01-08 11:48 kgv New Issue
2014-01-08 11:48 kgv Assigned To => bugmaster
2014-01-08 11:48 kgv Description Updated View Revisions
2014-01-08 11:50 kgv Relationship added related to 0024428
2014-01-08 11:53 kgv Description Updated View Revisions
2014-01-08 16:22 bugmaster Note Added: 0027396
2014-01-08 16:22 bugmaster Assigned To bugmaster => kgv
2014-01-08 16:22 bugmaster Status new => resolved
2014-01-08 16:32 kgv Note Added: 0027397
2014-01-08 16:32 kgv Assigned To kgv => bugmaster
2014-01-08 16:32 kgv Status resolved => reviewed
2014-01-09 10:28 bugmaster Status reviewed => tested
2014-01-11 11:58 abv Category OCCT Release:BUILD => OCCT:Coding
2014-01-13 10:43 bugmaster Changeset attached => occt master 6aca4d39
2014-01-13 10:43 bugmaster Status tested => verified
2014-01-13 10:43 bugmaster Resolution open => fixed
2014-05-05 13:36 aiv Status verified => closed
2014-05-05 13:37 aiv Fixed in Version => 6.7.1


Copyright © 2000 - 2020 MantisBT Team
Powered by Mantis Bugtracker